Bug 215782 - archivers/minizip: update to 1.2.10
Summary: archivers/minizip: update to 1.2.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-01-04 22:11 UTC by Loïc Bartoletti
Modified: 2017-01-06 10:16 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+
riggs: merge-quarterly+


Attachments
Update minizip to 1.2.10 (946 bytes, patch)
2017-01-04 22:11 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2017-01-04 22:11:08 UTC
Poudriere 10, 11, 12 i386/amd64 OK.
It's an easy patch. Just change version/makesum and delete portrevision.
Also change my mail.

Changelog:

Version 1.2.10 has these key improvements over 1.2.9:

    Fix bug in deflate_stored() for zero-length input
    Fix bug in gzwrite.c that produced corrupt gzip files 

Due to the bug fixes, any installations of 1.2.9 should be immediately replaced with 1.2.10.

Version 1.2.9 has these key improvements over 1.2.8:

    Improve compress() and uncompress() to support large lengths
    Allow building zlib outside of the source directory
    Fix bug when level 0 used with Z_HUFFMAN or Z_RLE
    Fix bugs in creating a very large gzip header
    Add uncompress2() function, which returns the input size used
    Dramatically speed up deflation for level 0 (storing)
    Add gzfread() and gzfwrite(), duplicating the interfaces of fread() and fwrite()
    Add crc32_z() and adler32_z() functions with size_t lengths
    Many portability improvements
Comment 1 Bugzilla Automation freebsd_committer 2017-01-04 22:11:08 UTC
Maintainer informed via mail
Comment 2 Loïc Bartoletti 2017-01-04 22:11:33 UTC
Created attachment 178527 [details]
Update minizip to 1.2.10
Comment 3 commit-hook freebsd_committer 2017-01-05 15:33:20 UTC
A commit references this bug:

Author: riggs
Date: Thu Jan  5 15:32:31 UTC 2017
New revision: 430642
URL: https://svnweb.freebsd.org/changeset/ports/430642

Log:
  Update to upstream version 1.2.10; update maintainer mail address

  Detailed log:
  - Update to upstream 1.2.10; this includes an important runtime fix
    in gzwrite.c that produced corrupt gzip files
  - New maintainer email address: lbartoletti@tuxfamily.org

  While on it:
  - Pet portlint

  PR:		215782
  Submitted by:	lbartoletti@tuxfamily.org (maintainer)
  MFH:		2017Q1

Changes:
  head/archivers/minizip/Makefile
  head/archivers/minizip/distinfo
Comment 4 commit-hook freebsd_committer 2017-01-06 10:14:34 UTC
A commit references this bug:

Author: riggs
Date: Fri Jan  6 10:13:42 UTC 2017
New revision: 430699
URL: https://svnweb.freebsd.org/changeset/ports/430699

Log:
  MFH: r430642

  Update to upstream version 1.2.10; update maintainer mail address

  Detailed log:
  - Update to upstream 1.2.10; this includes an important runtime fix
    in gzwrite.c that produced corrupt gzip files
  - New maintainer email address: lbartoletti@tuxfamily.org

  While on it:
  - Pet portlint

  PR:		215782
  Submitted by:	lbartoletti@tuxfamily.org (maintainer)

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/archivers/minizip/Makefile
  branches/2017Q1/archivers/minizip/distinfo